Bug 33913 - [Kupu] XSL arriving to the browser with potentially invalid absolute links rather than relative links
[Kupu] XSL arriving to the browser with potentially invalid absolute links ra...
Status: RESOLVED WONTFIX
Product: Lenya
Classification: Unclassified
Component: Kupu Integration
1.2.2
PC Linux
: P2 major
: 1.2.6
Assigned To: Lenya Developers
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-03-08 21:17 UTC by lendev7492
Modified: 2010-07-13 11:31 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lendev7492 2005-03-08 21:17:41 UTC
There is a problem with image drawers and local link drawers in
kupu, which shows up when accessing externally  mod_rewrite, but not when
accessing the site directly and locally through port 8080. 

the problem relates to two files in the directory:
./lenya/lenya/resources/kupu/apache-lenya/lenya/drawers

there are imagedrawer.xsl  and linkdrawer.xsl    

both these have a line in the xsl:
  <xsl:import
href="${parameters.getParameter('import-stylesheet-url')}"/>


which when resolved by the xsl engine become:
<xsl:import
href="http://mytestsite:8080/lenya/kupu/common/kupudrawers/drawer.xsl"/>

the xsl arrives on the browser like that and so it can never see the file
drawer.xsl through mod_rewrite and not at all if port 8080 or the
application server cannot be seen from the outside world.
Comment 1 Gregor J. Rothfuss 2005-03-09 03:21:16 UTC
(In reply to comment #0)

> both these have a line in the xsl:
>   <xsl:import
> href="${parameters.getParameter('import-stylesheet-url')}"/>

can you try replacing it with <xsl:import
href="../../common/kupudrawers/drawer.xsl"/>
Comment 2 lendev7492 2005-03-09 06:10:11 UTC
Thanks for the pointer. I tried it but unfortunately it didn't work; however I
fiddled around a bit and found that using:

<xsl:import href="../../../../kupu/common/kupudrawers/drawer.xsl"/>

worked for me. 
Comment 3 lendev7492 2005-03-09 06:27:24 UTC
(In reply to comment #2)
> 
> <xsl:import href="../../../../kupu/common/kupudrawers/drawer.xsl"/>
> 
> worked for me. 

Actually I find I have to use:
<xsl:import href="/lenya/kupu/common/kupudrawers/drawer.xsl"/>

since the authoring page is actually relative to the published page, while the
location of the drawer is fixed, so navigating with ../.. won't work every time
when your site is more than one menu level deep.


Comment 4 J 2007-04-25 10:21:53 UTC
does not apply to 1.4 iiuc.
Comment 5 Richard Frovarp 2010-07-13 11:31:52 UTC
Kupu will not be supported in future versions.